install on Fedora 30

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

openemmy
Posts: 13
Joined: Thu Jun 27, 2019 3:42 pm

install on Fedora 30

Post by openemmy » Mon Jul 08, 2019 8:45 pm

I checked the https://wiki.openemm.org/doku.php
seems like there are a lot of steps missing after getting to ./OpenEMMInstaller.sh
I installed all the prerequisites.
I filled out the mariadb access.
But all of the options show NOT AVAILABLE and selecting any of the options doesn't accomplish anything.
Some screen dumps below may help:

==========================
= OpenEMM Installer v2.0 =
==========================
Host: ls5.afo.net
Runtime Version: 19.04.090
OpenEMM Version: Unknown
System-Url: Unknown
Backend Version: Unknown

DB structure does not exist. (Maybe OpenEMM is not installed)
Mandatory emmProperties file is missing (Maybe OpenEMM is not installed): /home/openemm/webapps/emm/WEB-INF/classes/emm.properties
Mandatory emmWsProperties file is missing (Maybe OpenEMM Webservices is not installed): /home/openemm/webapps/webservices/WEB-INF/classes/emm-ws.properties

Current menu: Main

Please choose (Blank => Quit):
1. Show OpenEMM status
2. Configuration
3. Security
(Install or update package from AGNITAS Website) not available
4. Install or update package from local file
(Install or update package from AGNITAS Cloud) not available
5. Restart OpenEMM
(Send configuration and log files in email) not available
0. Quit


Current menu: Show OpenEMM status

OpenEMM status:
OS version: Fedora release 30 (Thirty)
Python version: 2.7.16 (default, Apr 30 2019, 15:54:43) [GCC 9.0.1 20190312 (Red Hat 9.0.1-0.10)]
Postfix Version: 3.4.4
DB client version: /usr/bin/mysql Ver 15.1 Distrib 10.3.12-MariaDB, for Linux (x86_64) using readline 5.1
Database Connection: OK
Database version: MariaDB 10.3.12-MariaDB
OpenEMM database structure does NOT exist
Currently running database threads ratio (Current: 6, Maximum: 1): 6.0
Java version: 1.8.0_212 (OpenJDK)
Java JCE Unlimited-Key-Strength: OK
Tomcat version: 9.0.21.0
Wkhtml version: wkhtmltopdf 0.12.5
OpenEMM-Application is NOT running

Current menu: Configuration

Please choose (Blank => Back to Main):
1. Configure basic environment (Java, Tomcat, Wkhtml)
2. Change database configuration (dbcfg)
(Change configuration in db) not available
(Create new database (drop existing data)) not available
(Change system.cfg) not available
(Change emm.properties) not available
(Change emm-ws.properties) not available
(Change client/account data in db) not available
(Change jobqueue configuration in db) not available

Current menu: Security

Please choose (Blank => Back to Main):
1. Remove version info from Tomcat error pages
(Create new initial 'emm-master' password) not available

maschoff
Site Admin
Posts: 2194
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: install on Fedora 30

Post by maschoff » Mon Jul 08, 2019 8:54 pm

1. You should use CentOS, not Fedora, because the backend was compiled for RedHat/CentOS.
2. You should install both the openemm-backend and openemm-frontend packages.
3. Only after installation of the OpenEMM packages you should set the configuration parameters which have not been set by the installation automatically.

In general, it would be a good idea to follow the sequence of instructions in the wiki.
OpenEMM Maintainer

openemmy
Posts: 13
Joined: Thu Jun 27, 2019 3:42 pm

Re: install on Fedora 30

Post by openemmy » Fri Jul 12, 2019 9:45 pm

I installed CentOS as instructed.
I followed all the instructions at https://wiki.openemm.org/doku.php
I got a little further.
Here are the problems I am having:

1) the instructions say to perform the step below, but the /opt/rh directory is empty.
ln -s /opt/rh/rh-mariadb102/root/bin/* .

I have never heard of a program not being able to find mysql or mariadb since they run as a service.
Not sure what to do about that.

2) the instructions say to use menu 2 Configuration, sub-menu 7 Change client/account data
but when I do, it asks for a CLIENT ID which I do not have and is not provided.
Not sure what to do about that.

3) when I choose the option to SHOW OPENEMM STATUS, I get this error:
OpenEMM status:
TypeError: cannot concatenate 'str' and 'NoneType' objects

How do I proceed?
Thanks in advance.

maschoff
Site Admin
Posts: 2194
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: install on Fedora 30

Post by maschoff » Sat Jul 13, 2019 7:39 am

Which version of OpenEMM Runtime do you use?
OpenEMM Maintainer

openemmy
Posts: 13
Joined: Thu Jun 27, 2019 3:42 pm

Re: install on Fedora 30

Post by openemmy » Sat Jul 13, 2019 2:58 pm

version 19.04.086
from
openemm-runtime-19.04.086.tar.gz

Post Reply